Bug 53020 - [XF/XVS] Incorrect namespace in added Master Detail Page
Summary: [XF/XVS] Incorrect namespace in added Master Detail Page
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Templates (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: 15.2
Assignee: Pierce Boggan [MSFT]
URL:
: 53143 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-03-03 15:28 UTC by Al Clark [MSFT]
Modified: 2017-04-07 07:13 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Attaching Ide logs (1.49 KB, application/zip)
2017-04-07 07:13 UTC, Aman Dharwal
Details

Description Al Clark [MSFT] 2017-03-03 15:28:46 UTC
=== Overview ===

Error in added Master Detail Page whereby namespace is incorrectly named.

=== Steps to Reproduce ===

1. Create a new blank Xamarin Forms PCL project.
2. Right-click PCL and Add > Forms Master Detail Page Xaml

=== Expected Behaviour ===

New Master Detail Page should be loaded error-free.

=== Actual Behaviour ===

All namespaces in codebehind of added files are appended with page name as if they are in a folder, when in fact they aren't; they are in the root of the project folder.
Comment 1 Al Clark [MSFT] 2017-03-03 15:53:17 UTC
Linked to same template as this bug:
https://bugzilla.xamarin.com/show_bug.cgi?id=53021
Comment 3 Pierce Boggan [MSFT] 2017-04-06 18:40:56 UTC
*** Bug 53143 has been marked as a duplicate of this bug. ***
Comment 4 Aman Dharwal 2017-04-07 07:13:21 UTC
Created attachment 21294 [details]
Attaching Ide logs

This Issue is Resolved , Hence marking it as Verified

===========================================================================

Verified on Environment

Microsoft Visual Studio Ultimate 2013
Version 12.0.40629.00 Update 5
Microsoft .NET Framework
Version 4.6.01590

Installed Version: Ultimate

Architecture and Modeling Tools   06181-004-0449004-02903
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

LightSwitch for Visual Studio 2013   06181-004-0449004-02903
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06181-004-0449004-02903
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06181-004-0449004-02903
Microsoft Visual Basic 2013

Visual C# 2013   06181-004-0449004-02903
Microsoft Visual C# 2013

Visual C++ 2013   06181-004-0449004-02903
Microsoft Visual C++ 2013

Visual F# 2013   06181-004-0449004-02903
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06181-004-0449004-02903
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.5.60612.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Web Apps
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.30612.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.4
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Mono Debugging for Visual Studio   Mono.Debugging.VisualStudio
Support for debugging Mono processes with Visual Studio.

NuGet Package Manager   2.12.0.817
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.41012.0
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.5.0.65 (3ef9e37)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.3.0.0 (213d2e5)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.9.0.465 (d709b5e)
Visual Studio extension to enable development for Xamarin.iOS.

=====================================================================

Screencast link : https://www.screencast.com/t/SvSik11xoUB

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 53020 on Developer Community if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: